GIT-SQUASH(1)

NAME
git-squash - Import changes form a branch

SYNOPSIS
git-squash <source-branch> [<commit-message>]

DESCRIPTION
Produce the working tree and index state as if a real merge happened without the commit or merge marks.

OPTIONS
<source-branch>

Branch to squash on the actual branch.

<commit-message>

If commit-message is given, commit the squash result and delete the source-branch.

EXAMPLES

$ git squash my-other-branch
Updating a2740f5..533b19c
Fast-forward
Squash commit -- not updating HEAD
 my-changed-file | 1 +
 1 file changed, 1 insertion(+)
$ git commit -m "New commit without a real merge"

AUTHOR
Written by Jesus Espino <jespinog@gmail.com>

REPORTING BUGS
<https://github.com/visionmedia/git-extras/issues>

SEE ALSO
<https://github.com/visionmedia/git-extras>